# Makefile.in generated by automake 1.16.5 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


VPATH = ../../parted-3.4/tests
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/parted
pkgincludedir = $(includedir)/parted
pkglibdir = $(libdir)/parted
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = aarch64-agl-linux-gnu
check_PROGRAMS = print-align$(EXEEXT) print-flags$(EXEEXT) \
	print-max$(EXEEXT) dup-clobber$(EXEEXT) duplicate$(EXEEXT) \
	fs-resize$(EXEEXT)
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/lib/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
dup_clobber_SOURCES = dup-clobber.c
dup_clobber_OBJECTS = dup-clobber.$(OBJEXT)
dup_clobber_LDADD = $(LDADD)
dup_clobber_DEPENDENCIES = $(top_builddir)/libparted/libparted.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
duplicate_SOURCES = duplicate.c
duplicate_OBJECTS = duplicate.$(OBJEXT)
duplicate_LDADD = $(LDADD)
duplicate_DEPENDENCIES = $(top_builddir)/libparted/libparted.la
fs_resize_SOURCES = fs-resize.c
fs_resize_OBJECTS = fs-resize.$(OBJEXT)
fs_resize_DEPENDENCIES =  \
	$(top_builddir)/libparted/fs/libparted-fs-resize.la \
	$(top_builddir)/libparted/libparted.la
print_align_SOURCES = print-align.c
print_align_OBJECTS = print-align.$(OBJEXT)
print_align_LDADD = $(LDADD)
print_align_DEPENDENCIES = $(top_builddir)/libparted/libparted.la
print_flags_SOURCES = print-flags.c
print_flags_OBJECTS = print-flags.$(OBJEXT)
print_flags_LDADD = $(LDADD)
print_flags_DEPENDENCIES = $(top_builddir)/libparted/libparted.la
print_max_SOURCES = print-max.c
print_max_OBJECTS = print-max.$(OBJEXT)
print_max_LDADD = $(LDADD)
print_max_DEPENDENCIES = $(top_builddir)/libparted/libparted.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/lib
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/dup-clobber.Po \
	./$(DEPDIR)/duplicate.Po ./$(DEPDIR)/fs-resize.Po \
	./$(DEPDIR)/print-align.Po ./$(DEPDIR)/print-flags.Po \
	./$(DEPDIR)/print-max.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = dup-clobber.c duplicate.c fs-resize.c print-align.c \
	print-flags.c print-max.c
DIST_SOURCES = dup-clobber.c duplicate.c fs-resize.c print-align.c \
	print-flags.c print-max.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.sh.log=.log)
SH_LOG_DRIVER = $(SHELL) $(top_builddir)/build-aux/test-driver
SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp \
	$(top_srcdir)/build-aux/test-driver
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkglibexecdir = ${libexecdir}/${PACKAGE}
ACLOCAL = ${SHELL} 'parted-3.4/build-aux/missing' aclocal-1.16
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
APPLE_UNIVERSAL_BUILD = 0
AR = aarch64-agl-linux-gcc-ar
ARFLAGS = cr
AUTOCONF = ${SHELL} 'parted-3.4/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} 'parted-3.4/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} 'parted-3.4/build-aux/missing' automake-1.16
AWK = gawk
BITSIZEOF_PTRDIFF_T = 
BITSIZEOF_SIG_ATOMIC_T = 
BITSIZEOF_SIZE_T = 
BITSIZEOF_WCHAR_T = 
BITSIZEOF_WINT_T = 
CC = aarch64-agl-linux-gcc  -mbranch-protection=standard -fstack-protector-strong  -O2 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security --sysroot=recipe-sysroot
CCDEPMODE = depmode=none
CFLAGS =  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=.=/usr/src/debug/parted/3.4-r0                      -fdebug-prefix-map=.=/usr/src/debug/parted/3.4-r0                      -fdebug-prefix-map=recipe-sysroot=                      -fdebug-prefix-map=recipe-sysroot-native= 
CFLAG_VISIBILITY = 
CHECK_CFLAGS = 
CHECK_LIBS = 
CONFIG_INCLUDE = lib/config.h
CPP = aarch64-agl-linux-gcc -E --sysroot=recipe-sysroot  -mbranch-protection=standard -fstack-protector-strong  -O2 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = 
DEPDIR = .deps
DLLTOOL = false
DM_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EMULTIHOP_HIDDEN = 
EMULTIHOP_VALUE = 
ENABLE_DEVICE_MAPPER = no
ENOLINK_HIDDEN = 
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 
EOVERFLOW_VALUE = 
ERRNO_H = 
ETAGS = etags
EXEEXT = 
FGREP = grep -F
FILECMD = file
GETOPT_CDEFS_H = getopt-cdefs.h
GETOPT_H = getopt.h
GETTEXT_MACRO_VERSION = 0.20
GLIBC21 = yes
GMSGFMT = recipe-sysroot-native/usr/bin/msgfmt
GMSGFMT_015 = recipe-sysroot-native/usr/bin/msgfmt
GNULIB_ACCEPT = IN_PARTED_GNULIB_TESTS
GNULIB_ACCEPT4 = 0
GNULIB_ACCESS = 0
GNULIB_ALIGNED_ALLOC = 0
GNULIB_ATOLL = 0
GNULIB_BIND = IN_PARTED_GNULIB_TESTS
GNULIB_BTOWC = 1
GNULIB_CALLOC_POSIX = 1
GNULIB_CANONICALIZE_FILE_NAME = 1
GNULIB_CHDIR = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 1
GNULIB_CONNECT = IN_PARTED_GNULIB_TESTS
GNULIB_COPY_FILE_RANGE = 0
GNULIB_CREAT = 0
GNULIB_CTIME = 0
GNULIB_DPRINTF = 0
GNULIB_DUP = 0
GNULIB_DUP2 = 1
GNULIB_DUP3 = 0
GNULIB_DUPLOCALE = 0
GNULIB_ENVIRON = IN_PARTED_GNULIB_TESTS
GNULIB_EUIDACCESS = 0
GNULIB_EXPLICIT_BZERO = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHMODAT = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FCNTL = 1
GNULIB_FDATASYNC = 0
GNULIB_FDOPEN = IN_PARTED_GNULIB_TESTS
GNULIB_FFLUSH = 0
GNULIB_FFSL = 0
GNULIB_FFSLL = 0
GNULIB_FGETC = 1
GNULIB_FGETS = 1
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREAD = 1
GNULIB_FREOPEN = 0
GNULIB_FSCANF = 1
GNULIB_FSEEK = 0
GNULIB_FSEEKO = 0
GNULIB_FSTAT = 1
GNULIB_FSTATAT = 0
GNULIB_FSYNC = 1
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = IN_PARTED_GNULIB_TESTS
GNULIB_FUTIMENS = 0
GNULIB_FWRITE = 1
GNULIB_GETC = 1
GNULIB_GETCHAR = 1
GNULIB_GETCWD = IN_PARTED_GNULIB_TESTS
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 1
GNULIB_GETENTROPY = 0
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 0
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 0
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETOPT_POSIX = 1
GNULIB_GETPAGESIZE = IN_PARTED_GNULIB_TESTS
GNULIB_GETPASS = 0
GNULIB_GETPEERNAME = 0
GNULIB_GETRANDOM = 1
GNULIB_GETSOCKNAME = 0
GNULIB_GETSOCKOPT = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETTIMEOFDAY = IN_PARTED_GNULIB_TESTS
GNULIB_GETUMASK = 0
GNULIB_GETUSERSHELL = 0
GNULIB_GL_UNISTD_H_GETOPT = 1
GNULIB_GRANTPT = 0
GNULIB_GROUP_MEMBER = 0
GNULIB_IMAXABS = 0
GNULIB_IMAXDIV = 0
GNULIB_INET_NTOP = 0
GNULIB_INET_PTON = IN_PARTED_GNULIB_TESTS
GNULIB_IOCTL = IN_PARTED_GNULIB_TESTS
GNULIB_ISATTY = 0
GNULIB_ISBLANK = IN_PARTED_GNULIB_TESTS
GNULIB_ISWBLANK = 0
GNULIB_ISWCTYPE = 0
GNULIB_ISWDIGIT = 0
GNULIB_ISWXDIGIT = 0
GNULIB_LCHMOD = 0
GNULIB_LCHOWN = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LISTEN = IN_PARTED_GNULIB_TESTS
GNULIB_LOCALECONV = 1
GNULIB_LOCALENAME = IN_PARTED_GNULIB_TESTS
GNULIB_LOCALTIME = 0
GNULIB_LSEEK = 1
GNULIB_LSTAT = 1
GNULIB_MALLOC_POSIX = 1
GNULIB_MBRLEN = 0
GNULIB_MBRTOWC = 1
GNULIB_MBSCASECMP = 0
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 1
GNULIB_MBSLEN = 0
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 0
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 0
GNULIB_MBSTOK_R = 0
GNULIB_MBTOWC = 1
GNULIB_MEMCHR = 0
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDIRAT = 0
GNULIB_MKDTEMP = 0
GNULIB_MKFIFO = 0
GNULIB_MKFIFOAT = 0
GNULIB_MKNOD = 0
GNULIB_MKNODAT = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 1
GNULIB_MKSTEMPS = 0
GNULIB_MKTIME = 0
GNULIB_NANOSLEEP = IN_PARTED_GNULIB_TESTS
GNULIB_NL_LANGINFO = 1
GNULIB_NONBLOCKING = 0
GNULIB_OBSTACK_PRINTF = 0
GNULIB_OBSTACK_PRINTF_POSIX = 0
GNULIB_OPEN = 1
GNULIB_OPENAT = 0
GNULIB_OVERRIDES_STRUCT_STAT = 0
GNULIB_OVERRIDES_WINT_T = 0
GNULIB_PCLOSE = 0
GNULIB_PERROR = IN_PARTED_GNULIB_TESTS
GNULIB_PIPE = IN_PARTED_GNULIB_TESTS
GNULIB_PIPE2 = 0
GNULIB_POPEN = 0
GNULIB_POSIX_MEMALIGN = 0
GNULIB_POSIX_OPENPT = 0
GNULIB_PREAD = 0
GNULIB_PRINTF = 1
GNULIB_PRINTF_POSIX = 0
GNULIB_PSELECT = 0
GNULIB_PTHREAD_COND = 0
GNULIB_PTHREAD_MUTEX = 0
GNULIB_PTHREAD_MUTEX_TIMEDLOCK = 0
GNULIB_PTHREAD_ONCE = 0
GNULIB_PTHREAD_RWLOCK = 0
GNULIB_PTHREAD_SIGMASK = IN_PARTED_GNULIB_TESTS
GNULIB_PTHREAD_SPIN = 0
GNULIB_PTHREAD_THREAD = IN_PARTED_GNULIB_TESTS
GNULIB_PTHREAD_TSS = 0
GNULIB_PTSNAME = 0
GNULIB_PTSNAME_R = 0
GNULIB_PUTC = 1
GNULIB_PUTCHAR = 1
GNULIB_PUTENV = IN_PARTED_GNULIB_TESTS
GNULIB_PUTS = 1
GNULIB_PWRITE = 0
GNULIB_QSORT_R = 0
GNULIB_RAISE = IN_PARTED_GNULIB_TESTS
GNULIB_RANDOM = 0
GNULIB_RANDOM_R = 0
GNULIB_RAWMEMCHR = 0
GNULIB_READ = 1
GNULIB_READLINK = 1
GNULIB_READLINKAT = 0
GNULIB_REALLOCARRAY = 0
GNULIB_REALLOC_POSIX = 1
GNULIB_REALPATH = 1
GNULIB_RECV = 0
GNULIB_RECVFROM = 0
GNULIB_REMOVE = 0
GNULIB_RENAME = 0
GNULIB_RENAMEAT = 0
GNULIB_RMDIR = 0
GNULIB_RPMATCH = 1
GNULIB_SCANF = 1
GNULIB_SCHED_YIELD = 0
GNULIB_SECURE_GETENV = 0
GNULIB_SELECT = IN_PARTED_GNULIB_TESTS
GNULIB_SEND = 0
GNULIB_SENDTO = 0
GNULIB_SETENV = IN_PARTED_GNULIB_TESTS
GNULIB_SETHOSTNAME = 0
GNULIB_SETLOCALE = IN_PARTED_GNULIB_TESTS
GNULIB_SETLOCALE_NULL = 1
GNULIB_SETSOCKOPT = IN_PARTED_GNULIB_TESTS
GNULIB_SHUTDOWN = 0
GNULIB_SIGABBREV_NP = 0
GNULIB_SIGACTION = IN_PARTED_GNULIB_TESTS
GNULIB_SIGDESCR_NP = 0
GNULIB_SIGNAL_H_SIGPIPE = 0
GNULIB_SIGPROCMASK = IN_PARTED_GNULIB_TESTS
GNULIB_SLEEP = 1
GNULIB_SNPRINTF = 0
GNULIB_SOCKET = IN_PARTED_GNULIB_TESTS
GNULIB_SPRINTF_POSIX = 0
GNULIB_STAT = 1
GNULIB_STDIO_H_NONBLOCKING = 0
GNULIB_STDIO_H_SIGPIPE = 0
GNULIB_STPCPY = 0
GNULIB_STPNCPY = 0
GNULIB_STRCASESTR = 0
GNULIB_STRCHRNUL = 0
GNULIB_STRDUP = 1
GNULIB_STRERROR = 1
GNULIB_STRERRORNAME_NP = 0
GNULIB_STRERROR_R = IN_PARTED_GNULIB_TESTS
GNULIB_STRFTIME = 0
GNULIB_STRNCAT = 0
GNULIB_STRNDUP = 1
GNULIB_STRNLEN = 1
GNULIB_STRPBRK = 0
GNULIB_STRPTIME = 0
GNULIB_STRSEP = 0
GNULIB_STRSIGNAL = 0
GNULIB_STRSTR = 0
GNULIB_STRTOD = 0
GNULIB_STRTOIMAX = 0
GNULIB_STRTOK_R = 0
GNULIB_STRTOLD = 0
GNULIB_STRTOLL = 1
GNULIB_STRTOULL = 1
GNULIB_STRTOUMAX = 0
GNULIB_STRVERSCMP = 0
GNULIB_SYMLINK = IN_PARTED_GNULIB_TESTS
GNULIB_SYMLINKAT = 0
GNULIB_SYSTEM_POSIX = 0
GNULIB_TIMEGM = 0
GNULIB_TIME_R = 0
GNULIB_TIME_RZ = 0
GNULIB_TMPFILE = 0
GNULIB_TOWCTRANS = 0
GNULIB_TRUNCATE = 0
GNULIB_TTYNAME_R = 0
GNULIB_TZSET = 0
GNULIB_UNISTD_H_NONBLOCKING = 0
GNULIB_UNISTD_H_SIGPIPE = 0
GNULIB_UNLINK = 1
GNULIB_UNLINKAT = 0
GNULIB_UNLOCKPT = 0
GNULIB_UNSETENV = IN_PARTED_GNULIB_TESTS
GNULIB_USLEEP = 1
GNULIB_UTIMENSAT = 0
GNULIB_VASPRINTF = 0
GNULIB_VDPRINTF = 0
GNULIB_VFPRINTF = 1
GNULIB_VFPRINTF_POSIX = 0
GNULIB_VFSCANF = 0
GNULIB_VPRINTF = 1
GNULIB_VPRINTF_POSIX = 0
GNULIB_VSCANF = 0
GNULIB_VSNPRINTF = 0
GNULIB_VSPRINTF_POSIX = 0
GNULIB_WCPCPY = 0
GNULIB_WCPNCPY = 0
GNULIB_WCRTOMB = 1
GNULIB_WCSCASECMP = 0
GNULIB_WCSCAT = 0
GNULIB_WCSCHR = 0
GNULIB_WCSCMP = 0
GNULIB_WCSCOLL = 0
GNULIB_WCSCPY = 0
GNULIB_WCSCSPN = 0
GNULIB_WCSDUP = 0
GNULIB_WCSFTIME = 0
GNULIB_WCSLEN = 0
GNULIB_WCSNCASECMP = 0
GNULIB_WCSNCAT = 0
GNULIB_WCSNCMP = 0
GNULIB_WCSNCPY = 0
GNULIB_WCSNLEN = 0
GNULIB_WCSNRTOMBS = 0
GNULIB_WCSPBRK = 0
GNULIB_WCSRCHR = 0
GNULIB_WCSRTOMBS = 0
GNULIB_WCSSPN = 0
GNULIB_WCSSTR = 0
GNULIB_WCSTOK = 0
GNULIB_WCSWIDTH = 0
GNULIB_WCSXFRM = 0
GNULIB_WCTOB = IN_PARTED_GNULIB_TESTS
GNULIB_WCTOMB = IN_PARTED_GNULIB_TESTS
GNULIB_WCTRANS = 0
GNULIB_WCTYPE = 0
GNULIB_WCWIDTH = 0
GNULIB_WMEMCHR = 0
GNULIB_WMEMCMP = 0
GNULIB_WMEMCPY = 0
GNULIB_WMEMMOVE = 0
GNULIB_WMEMPCPY = 0
GNULIB_WMEMSET = 0
GNULIB_WRITE = 0
GNULIB__EXIT = 0
GREP = grep
HAVE_ACCEPT4 = 1
HAVE_ALIGNED_ALLOC = 1
HAVE_ALLOCA_H = 1
HAVE_ARPA_INET_H = 1
HAVE_ATOLL = 1
HAVE_BTOWC = 1
HAVE_C99_STDINT_H = 1
HAVE_CANONICALIZE_FILE_NAME = 1
HAVE_CHOWN = 1
HAVE_COPY_FILE_RANGE = 1
HAVE_CRTDEFS_H = 0
HAVE_DECL_ECVT = 1
HAVE_DECL_ENVIRON = 1
HAVE_DECL_EXECVPE = 1
HAVE_DECL_FCHDIR = 1
HAVE_DECL_FCLOSEALL = 1
HAVE_DECL_FCVT = 1
HAVE_DECL_FDATASYNC = 1
HAVE_DECL_FPURGE = 1
HAVE_DECL_FSEEKO = 1
HAVE_DECL_FTELLO = 1
HAVE_DECL_GCVT = 1
HAVE_DECL_GETDELIM = 1
HAVE_DECL_GETDOMAINNAME = 1
HAVE_DECL_GETLINE = 1
HAVE_DECL_GETLOADAVG = 1
HAVE_DECL_GETLOGIN = 1
HAVE_DECL_GETLOGIN_R = 1
HAVE_DECL_GETPAGESIZE = 1
HAVE_DECL_GETUSERSHELL = 1
HAVE_DECL_IMAXABS = 1
HAVE_DECL_IMAXDIV = 1
HAVE_DECL_INET_NTOP = 1
HAVE_DECL_INET_PTON = 1
HAVE_DECL_INITSTATE = 1
HAVE_DECL_LOCALTIME_R = 1
HAVE_DECL_MEMMEM = 1
HAVE_DECL_MEMRCHR = 1
HAVE_DECL_OBSTACK_PRINTF = 1
HAVE_DECL_SETENV = 1
HAVE_DECL_SETHOSTNAME = 1
HAVE_DECL_SETSTATE = 1
HAVE_DECL_SNPRINTF = 1
HAVE_DECL_STRDUP = 1
HAVE_DECL_STRERROR_R = 1
HAVE_DECL_STRNDUP = 1
HAVE_DECL_STRNLEN = 1
HAVE_DECL_STRSIGNAL = 1
HAVE_DECL_STRTOIMAX = 1
HAVE_DECL_STRTOK_R = 1
HAVE_DECL_STRTOUMAX = 1
HAVE_DECL_TRUNCATE = 1
HAVE_DECL_TTYNAME_R = 1
HAVE_DECL_UNSETENV = 1
HAVE_DECL_VSNPRINTF = 1
HAVE_DECL_WCSDUP = 1
HAVE_DECL_WCTOB = 1
HAVE_DECL_WCWIDTH = 1
HAVE_DPRINTF = 1
HAVE_DUP3 = 1
HAVE_DUPLOCALE = 1
HAVE_EUIDACCESS = 1
HAVE_EXPLICIT_BZERO = 1
HAVE_FACCESSAT = 1
HAVE_FCHDIR = 1
HAVE_FCHMODAT = 1
HAVE_FCHOWNAT = 1
HAVE_FCNTL = 1
HAVE_FDATASYNC = 1
HAVE_FEATURES_H = 1
HAVE_FFSL = 1
HAVE_FFSLL = 1
HAVE_FREELOCALE = 1
HAVE_FSEEKO = 1
HAVE_FSTATAT = 1
HAVE_FSYNC = 1
HAVE_FTELLO = 1
HAVE_FTRUNCATE = 1
HAVE_FUTIMENS = 1
HAVE_GETDTABLESIZE = 1
HAVE_GETENTROPY = 1
HAVE_GETGROUPS = 1
HAVE_GETHOSTNAME = 1
HAVE_GETLOGIN = 1
HAVE_GETOPT_H = 1
HAVE_GETPAGESIZE = 1
HAVE_GETPASS = 1
HAVE_GETRANDOM = 1
HAVE_GETSUBOPT = 1
HAVE_GETTIMEOFDAY = 1
HAVE_GETUMASK = 1
HAVE_GRANTPT = 1
HAVE_GROUP_MEMBER = 1
HAVE_IMAXDIV_T = 1
HAVE_INITSTATE = 1
HAVE_INTTYPES_H = 1
HAVE_ISBLANK = 1
HAVE_ISWBLANK = 1
HAVE_ISWCNTRL = 1
HAVE_LANGINFO_ALTMON = 1
HAVE_LANGINFO_CODESET = 1
HAVE_LANGINFO_ERA = 1
HAVE_LANGINFO_H = 1
HAVE_LANGINFO_T_FMT_AMPM = 1
HAVE_LANGINFO_YESEXPR = 1
HAVE_LCHMOD = 1
HAVE_LCHOWN = 1
HAVE_LINK = 1
HAVE_LINKAT = 1
HAVE_LSTAT = 1
HAVE_MAX_ALIGN_T = 1
HAVE_MBRLEN = 1
HAVE_MBRTOWC = 1
HAVE_MBSINIT = 1
HAVE_MBSLEN = 0
HAVE_MBSNRTOWCS = 1
HAVE_MBSRTOWCS = 1
HAVE_MBTOWC = 1
HAVE_MEMPCPY = 1
HAVE_MKDIRAT = 1
HAVE_MKDTEMP = 1
HAVE_MKFIFO = 1
HAVE_MKFIFOAT = 1
HAVE_MKNOD = 1
HAVE_MKNODAT = 1
HAVE_MKOSTEMP = 1
HAVE_MKOSTEMPS = 1
HAVE_MKSTEMP = 1
HAVE_MKSTEMPS = 1
HAVE_MSVC_INVALID_PARAMETER_HANDLER = 0
HAVE_NANOSLEEP = 1
HAVE_NETINET_IN_H = 
HAVE_NEWLOCALE = 1
HAVE_NL_LANGINFO = 1
HAVE_OPENAT = 1
HAVE_OS_H = 0
HAVE_PCLOSE = 1
HAVE_PIPE = 1
HAVE_PIPE2 = 1
HAVE_POPEN = 1
HAVE_POSIX_MEMALIGN = 1
HAVE_POSIX_OPENPT = 1
HAVE_POSIX_SIGNALBLOCKING = 1
HAVE_PREAD = 1
HAVE_PSELECT = 1
HAVE_PTHREAD_ATTR_DESTROY = 1
HAVE_PTHREAD_ATTR_GETDETACHSTATE = 1
HAVE_PTHREAD_ATTR_INIT = 1
HAVE_PTHREAD_ATTR_SETDETACHSTATE = 1
HAVE_PTHREAD_CONDATTR_DESTROY = 1
HAVE_PTHREAD_CONDATTR_INIT = 1
HAVE_PTHREAD_COND_BROADCAST = 1
HAVE_PTHREAD_COND_DESTROY = 1
HAVE_PTHREAD_COND_INIT = 1
HAVE_PTHREAD_COND_SIGNAL = 1
HAVE_PTHREAD_COND_TIMEDWAIT = 1
HAVE_PTHREAD_COND_WAIT = 1
HAVE_PTHREAD_CREATE = 1
HAVE_PTHREAD_CREATE_DETACHED = 1
HAVE_PTHREAD_DETACH = 1
HAVE_PTHREAD_EQUAL = 1
HAVE_PTHREAD_EXIT = 1
HAVE_PTHREAD_GETSPECIFIC = 1
HAVE_PTHREAD_H = 1
HAVE_PTHREAD_JOIN = 1
HAVE_PTHREAD_KEY_CREATE = 1
HAVE_PTHREAD_KEY_DELETE = 1
HAVE_PTHREAD_MUTEXATTR_DESTROY = 1
HAVE_PTHREAD_MUTEXATTR_GETROBUST = 1
HAVE_PTHREAD_MUTEXATTR_GETTYPE = 1
HAVE_PTHREAD_MUTEXATTR_INIT = 1
HAVE_PTHREAD_MUTEXATTR_SETROBUST = 1
HAVE_PTHREAD_MUTEXATTR_SETTYPE = 1
HAVE_PTHREAD_MUTEX_DESTROY = 1
HAVE_PTHREAD_MUTEX_INIT = 1
HAVE_PTHREAD_MUTEX_LOCK = 1
HAVE_PTHREAD_MUTEX_RECURSIVE = 1
HAVE_PTHREAD_MUTEX_ROBUST = 1
HAVE_PTHREAD_MUTEX_TIMEDLOCK = 1
HAVE_PTHREAD_MUTEX_TRYLOCK = 1
HAVE_PTHREAD_MUTEX_UNLOCK = 1
HAVE_PTHREAD_ONCE = 1
HAVE_PTHREAD_PROCESS_SHARED = 1
HAVE_PTHREAD_RWLOCKATTR_DESTROY = 1
HAVE_PTHREAD_RWLOCKATTR_INIT = 1
HAVE_PTHREAD_RWLOCK_DESTROY = 1
HAVE_PTHREAD_RWLOCK_INIT = 1
HAVE_PTHREAD_RWLOCK_RDLOCK = 1
HAVE_PTHREAD_RWLOCK_TIMEDRDLOCK = 1
HAVE_PTHREAD_RWLOCK_TIMEDWRLOCK = 1
HAVE_PTHREAD_RWLOCK_TRYRDLOCK = 1
HAVE_PTHREAD_RWLOCK_TRYWRLOCK = 1
HAVE_PTHREAD_RWLOCK_UNLOCK = 1
HAVE_PTHREAD_RWLOCK_WRLOCK = 1
HAVE_PTHREAD_SELF = 1
HAVE_PTHREAD_SETSPECIFIC = 1
HAVE_PTHREAD_SIGMASK = 1
HAVE_PTHREAD_SPINLOCK_T = 1
HAVE_PTHREAD_SPIN_DESTROY = 1
HAVE_PTHREAD_SPIN_INIT = 1
HAVE_PTHREAD_SPIN_LOCK = 1
HAVE_PTHREAD_SPIN_TRYLOCK = 1
HAVE_PTHREAD_SPIN_UNLOCK = 1
HAVE_PTHREAD_T = 1
HAVE_PTSNAME = 1
HAVE_PTSNAME_R = 1
HAVE_PWRITE = 1
HAVE_QSORT_R = 1
HAVE_RAISE = 1
HAVE_RANDOM = 1
HAVE_RANDOM_H = 1
HAVE_RANDOM_R = 1
HAVE_RAWMEMCHR = 1
HAVE_READLINK = 1
HAVE_READLINKAT = 1
HAVE_REALLOCARRAY = 1
HAVE_REALPATH = 1
HAVE_RENAMEAT = 1
HAVE_RPMATCH = 1
HAVE_SA_FAMILY_T = 1
HAVE_SCHED_H = 1
HAVE_SCHED_YIELD = 1
HAVE_SECURE_GETENV = 1
HAVE_SETENV = 1
HAVE_SETHOSTNAME = 1
HAVE_SETSTATE = 1
HAVE_SIGABBREV_NP = 1
HAVE_SIGACTION = 1
HAVE_SIGDESCR_NP = 1
HAVE_SIGHANDLER_T = 1
HAVE_SIGINFO_T = 1
HAVE_SIGNED_SIG_ATOMIC_T = 
HAVE_SIGNED_WCHAR_T = 
HAVE_SIGNED_WINT_T = 
HAVE_SIGSET_T = 1
HAVE_SLEEP = 1
HAVE_STDINT_H = 1
HAVE_STPCPY = 1
HAVE_STPNCPY = 1
HAVE_STRCASESTR = 1
HAVE_STRCHRNUL = 1
HAVE_STRERRORNAME_NP = 1
HAVE_STRPBRK = 1
HAVE_STRPTIME = 1
HAVE_STRSEP = 1
HAVE_STRTOD = 1
HAVE_STRTOLD = 1
HAVE_STRTOLL = 1
HAVE_STRTOULL = 1
HAVE_STRUCT_RANDOM_DATA = 1
HAVE_STRUCT_SCHED_PARAM = 1
HAVE_STRUCT_SIGACTION_SA_SIGACTION = 1
HAVE_STRUCT_SOCKADDR_STORAGE = 1
HAVE_STRUCT_SOCKADDR_STORAGE_SS_FAMILY = 1
HAVE_STRUCT_TIMEVAL = 1
HAVE_STRVERSCMP = 1
HAVE_SYMLINK = 1
HAVE_SYMLINKAT = 1
HAVE_SYS_BITYPES_H = 0
HAVE_SYS_CDEFS_H = 1
HAVE_SYS_INTTYPES_H = 0
HAVE_SYS_IOCTL_H = 1
HAVE_SYS_LOADAVG_H = 0
HAVE_SYS_PARAM_H = 0
HAVE_SYS_RANDOM_H = 1
HAVE_SYS_SELECT_H = 1
HAVE_SYS_SOCKET_H = 1
HAVE_SYS_TIME_H = 1
HAVE_SYS_TYPES_H = 1
HAVE_SYS_UIO_H = 1
HAVE_TIMEGM = 1
HAVE_TIMEZONE_T = 0
HAVE_TYPE_VOLATILE_SIG_ATOMIC_T = 1
HAVE_UNISTD_H = 1
HAVE_UNLINKAT = 1
HAVE_UNLOCKPT = 1
HAVE_USLEEP = 1
HAVE_UTIMENSAT = 1
HAVE_VASPRINTF = 1
HAVE_VDPRINTF = 1
HAVE_VISIBILITY = 
HAVE_WCHAR_H = 1
HAVE_WCHAR_T = 1
HAVE_WCPCPY = 1
HAVE_WCPNCPY = 1
HAVE_WCRTOMB = 1
HAVE_WCSCASECMP = 1
HAVE_WCSCAT = 1
HAVE_WCSCHR = 1
HAVE_WCSCMP = 1
HAVE_WCSCOLL = 1
HAVE_WCSCPY = 1
HAVE_WCSCSPN = 1
HAVE_WCSDUP = 1
HAVE_WCSFTIME = 1
HAVE_WCSLEN = 1
HAVE_WCSNCASECMP = 1
HAVE_WCSNCAT = 1
HAVE_WCSNCMP = 1
HAVE_WCSNCPY = 1
HAVE_WCSNLEN = 1
HAVE_WCSNRTOMBS = 1
HAVE_WCSPBRK = 1
HAVE_WCSRCHR = 1
HAVE_WCSRTOMBS = 1
HAVE_WCSSPN = 1
HAVE_WCSSTR = 1
HAVE_WCSTOK = 1
HAVE_WCSWIDTH = 1
HAVE_WCSXFRM = 1
HAVE_WCTRANS_T = 1
HAVE_WCTYPE_H = 1
HAVE_WCTYPE_T = 1
HAVE_WINSOCK2_H = 0
HAVE_WINT_T = 1
HAVE_WMEMCHR = 1
HAVE_WMEMCMP = 1
HAVE_WMEMCPY = 1
HAVE_WMEMMOVE = 1
HAVE_WMEMPCPY = 1
HAVE_WMEMSET = 1
HAVE_WS2TCPIP_H = 0
HAVE_XLOCALE_H = 0
HAVE__BOOL = 1
HAVE__EXIT = 1
IGNORE_UNUSED_LIBRARIES_CFLAGS = -Wl,--as-needed
INCLUDE_NEXT = include_next
INCLUDE_NEXT_AS_FIRST_DIRECTIVE = include_next
INET_PTON_LIB = 
INSTALL = install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INT32_MAX_LT_INTMAX_MAX = 1
INT64_MAX_EQ_LONG_MAX = 1
INTLINCS = 
INTLLIBS = 
INTL_MACOSX_LIBS = 
LD = aarch64-agl-linux-ld --sysroot=recipe-sysroot 
LDFLAGS = -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fmacro-prefix-map=.=/usr/src/debug/parted/3.4-r0                      -fdebug-prefix-map=.=/usr/src/debug/parted/3.4-r0                      -fdebug-prefix-map=recipe-sysroot=                      -fdebug-prefix-map=recipe-sysroot-native=  -Wl,-z,relro,-z,now -rdynamic
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPMULTITHREAD = -lpthread
LIBPTHREAD = 
LIBS = 
LIBSOCKET = 
LIBSTDTHREAD = 
LIBTESTS_LIBDEPS = 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_BLKID = -lblkid
LIB_CLOCK_GETTIME = 
LIB_GETRANDOM = 
LIB_HARD_LOCALE = 
LIB_MBRTOWC = 
LIB_NANOSLEEP = 
LIB_NL_LANGINFO = 
LIB_PTHREAD = -lpthread
LIB_PTHREAD_SIGMASK = 
LIB_SCHED_YIELD = 
LIB_SELECT = 
LIB_SEMAPHORE = 
LIB_SETLOCALE = 
LIB_SETLOCALE_NULL = 
LIMITS_H = limits.h
LIPO = 
LN_S = ln -s
LOCALCHARSET_TESTS_ENVIRONMENT = 
LOCALE_FR = fr_FR
LOCALE_FR_UTF8 = none
LOCALE_JA = none
LOCALE_TR_UTF8 = none
LOCALE_ZH_CN = none
LTALLOCA = 
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBTHREAD = 
LT_AGE = 0
LT_CURRENT = 0
LT_RELEASE = 3.4
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} 'parted-3.4/build-aux/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = mkdir -p
MSGFMT = recipe-sysroot-native/usr/bin/msgfmt
MSGMERGE = recipe-sysroot-native/usr/bin/msgmerge
MSGMERGE_FOR_MSGFMT_OPTION = --for-msgfmt
NETINET_IN_H = 
NEXT_ARPA_INET_H = <arpa/inet.h>
NEXT_AS_FIRST_DIRECTIVE_ARPA_INET_H = <arpa/inet.h>
NEXT_AS_FIRST_DIRECTIVE_CTYPE_H = <ctype.h>
NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = 
NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = <fcntl.h>
NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = <getopt.h>
NEXT_AS_FIRST_DIRECTIVE_INTTYPES_H = <inttypes.h>
NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = <langinfo.h>
NEXT_AS_FIRST_DIRECTIVE_LIMITS_H = <limits.h>
NEXT_AS_FIRST_DIRECTIVE_LOCALE_H = <locale.h>
NEXT_AS_FIRST_DIRECTIVE_NETINET_IN_H = 
NEXT_AS_FIRST_DIRECTIVE_PTHREAD_H = <pthread.h>
NEXT_AS_FIRST_DIRECTIVE_SCHED_H = <sched.h>
NEXT_AS_FIRST_DIRECTIVE_SIGNAL_H = <signal.h>
NEXT_AS_FIRST_DIRECTIVE_STDARG_H = 
NEXT_AS_FIRST_DIRECTIVE_STDDEF_H = 
NEXT_AS_FIRST_DIRECTIVE_STDINT_H = <stdint.h>
NEXT_AS_FIRST_DIRECTIVE_STDIO_H = <stdio.h>
NEXT_AS_FIRST_DIRECTIVE_STDLIB_H = <stdlib.h>
NEXT_AS_FIRST_DIRECTIVE_STRING_H = <string.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_IOCTL_H = <sys/ioctl.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_RANDOM_H = <sys/random.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_SELECT_H = <sys/select.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_SOCKET_H = <sys/socket.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_STAT_H = <sys/stat.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_TIME_H = <sys/time.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_TYPES_H = <sys/types.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_UIO_H = <sys/uio.h>
NEXT_AS_FIRST_DIRECTIVE_TIME_H = <time.h>
NEXT_AS_FIRST_DIRECTIVE_UNISTD_H = <unistd.h>
NEXT_AS_FIRST_DIRECTIVE_WCHAR_H = <wchar.h>
NEXT_AS_FIRST_DIRECTIVE_WCTYPE_H = <wctype.h>
NEXT_CTYPE_H = <ctype.h>
NEXT_ERRNO_H = 
NEXT_FCNTL_H = <fcntl.h>
NEXT_GETOPT_H = <getopt.h>
NEXT_INTTYPES_H = <inttypes.h>
NEXT_LANGINFO_H = <langinfo.h>
NEXT_LIMITS_H = <limits.h>
NEXT_LOCALE_H = <locale.h>
NEXT_NETINET_IN_H = 
NEXT_PTHREAD_H = <pthread.h>
NEXT_SCHED_H = <sched.h>
NEXT_SIGNAL_H = <signal.h>
NEXT_STDARG_H = <stdarg.h>
NEXT_STDDEF_H = 
NEXT_STDINT_H = <stdint.h>
NEXT_STDIO_H = <stdio.h>
NEXT_STDLIB_H = <stdlib.h>
NEXT_STRING_H = <string.h>
NEXT_SYS_IOCTL_H = <sys/ioctl.h>
NEXT_SYS_RANDOM_H = <sys/random.h>
NEXT_SYS_SELECT_H = <sys/select.h>
NEXT_SYS_SOCKET_H = <sys/socket.h>
NEXT_SYS_STAT_H = <sys/stat.h>
NEXT_SYS_TIME_H = <sys/time.h>
NEXT_SYS_TYPES_H = <sys/types.h>
NEXT_SYS_UIO_H = <sys/uio.h>
NEXT_TIME_H = <time.h>
NEXT_UNISTD_H = <unistd.h>
NEXT_WCHAR_H = <wchar.h>
NEXT_WCTYPE_H = <wctype.h>
NM = aarch64-agl-linux-gcc-nm
NMEDIT = 
OBJDUMP = aarch64-agl-linux-objdump
OBJEXT = o
OS = linux
OS_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = parted
PACKAGE_BUGREPORT = bug-parted@gnu.org
PACKAGE_NAME = GNU parted
PACKAGE_STRING = GNU parted 3.4
PACKAGE_TARNAME = parted
PACKAGE_URL = https://www.gnu.org/software/parted/
PACKAGE_VERSION = 3.4
PARTEDLDFLAGS = 
PARTED_LIBS = -lreadline  -ltinfo 
PARTED_USABLE_TEST_DIR = .
PATH_SEPARATOR = :
PKG_CONFIG = recipe-sysroot-native/usr/bin/pkg-config
PKG_CONFIG_LIBDIR = recipe-sysroot/usr/lib/pkgconfig
PKG_CONFIG_PATH = recipe-sysroot/usr/lib/pkgconfig:recipe-sysroot/usr/share/pkgconfig
POSUB = po
PRAGMA_COLUMNS = 
PRAGMA_SYSTEM_HEADER = #pragma GCC system_header
PRIPTR_PREFIX = "l"
PTHREAD_H_DEFINES_STRUCT_TIMESPEC = 0
PTRDIFF_T_SUFFIX = 
RANLIB = aarch64-agl-linux-gcc-ranlib
REPLACE_ACCESS = 0
REPLACE_ALIGNED_ALLOC = 0
REPLACE_BTOWC = 0
REPLACE_CALLOC = 0
REPLACE_CANONICALIZE_FILE_NAME = 0
REPLACE_CHOWN = 0
REPLACE_CLOSE = 0
REPLACE_CREAT = 0
REPLACE_CTIME = GNULIB_PORTCHECK
REPLACE_DPRINTF = 0
REPLACE_DUP = 0
REPLACE_DUP2 = 0
REPLACE_DUPLOCALE = 0
REPLACE_FACCESSAT = 0
REPLACE_FCHMODAT = 0
REPLACE_FCHOWNAT = 0
REPLACE_FCLOSE = 0
REPLACE_FCNTL = 1
REPLACE_FDOPEN = 0
REPLACE_FFLUSH = 0
REPLACE_FOPEN = 0
REPLACE_FPRINTF = 0
REPLACE_FPURGE = 0
REPLACE_FREELOCALE = 0
REPLACE_FREOPEN = 0
REPLACE_FSEEK = 0
REPLACE_FSEEKO = 0
REPLACE_FSTAT = 0
REPLACE_FSTATAT = 0
REPLACE_FTELL = 0
REPLACE_FTELLO = 0
REPLACE_FTRUNCATE = 0
REPLACE_FUTIMENS = 0
REPLACE_GETCWD = 0
REPLACE_GETDELIM = 0
REPLACE_GETDOMAINNAME = 0
REPLACE_GETDTABLESIZE = 0
REPLACE_GETGROUPS = 0
REPLACE_GETLINE = 0
REPLACE_GETLOGIN_R = 0
REPLACE_GETPAGESIZE = 0
REPLACE_GETPASS = 0
REPLACE_GETRANDOM = 0
REPLACE_GETTIMEOFDAY = 0
REPLACE_GMTIME = 0
REPLACE_INET_NTOP = 0
REPLACE_INET_PTON = 0
REPLACE_INITSTATE = 0
REPLACE_IOCTL = 1
REPLACE_ISATTY = 0
REPLACE_ISWBLANK = 0
REPLACE_ISWCNTRL = 0
REPLACE_ISWDIGIT = 0
REPLACE_ISWXDIGIT = 0
REPLACE_LCHOWN = 0
REPLACE_LINK = 0
REPLACE_LINKAT = 0
REPLACE_LOCALECONV = 0
REPLACE_LOCALTIME = 0
REPLACE_LOCALTIME_R = GNULIB_PORTCHECK
REPLACE_LSEEK = 0
REPLACE_LSTAT = 0
REPLACE_MALLOC = 0
REPLACE_MBRLEN = 0
REPLACE_MBRTOWC = 1
REPLACE_MBSINIT = 0
REPLACE_MBSNRTOWCS = 0
REPLACE_MBSRTOWCS = 0
REPLACE_MBSTATE_T = 0
REPLACE_MBTOWC = 0
REPLACE_MEMCHR = 0
REPLACE_MEMMEM = 0
REPLACE_MKDIR = 0
REPLACE_MKFIFO = 0
REPLACE_MKNOD = 0
REPLACE_MKSTEMP = 0
REPLACE_MKTIME = GNULIB_PORTCHECK
REPLACE_NANOSLEEP = 1
REPLACE_NEWLOCALE = 0
REPLACE_NL_LANGINFO = 0
REPLACE_NULL = 0
REPLACE_OBSTACK_PRINTF = 0
REPLACE_OPEN = 0
REPLACE_OPENAT = 0
REPLACE_PERROR = 1
REPLACE_POPEN = 0
REPLACE_POSIX_MEMALIGN = 0
REPLACE_PREAD = 0
REPLACE_PRINTF = 0
REPLACE_PSELECT = 0
REPLACE_PTHREAD_ATTR_DESTROY = 0
REPLACE_PTHREAD_ATTR_GETDETACHSTATE = 0
REPLACE_PTHREAD_ATTR_INIT = 0
REPLACE_PTHREAD_ATTR_SETDETACHSTATE = 0
REPLACE_PTHREAD_CONDATTR_DESTROY = 0
REPLACE_PTHREAD_CONDATTR_INIT = 0
REPLACE_PTHREAD_COND_BROADCAST = 0
REPLACE_PTHREAD_COND_DESTROY = 0
REPLACE_PTHREAD_COND_INIT = 0
REPLACE_PTHREAD_COND_SIGNAL = 0
REPLACE_PTHREAD_COND_TIMEDWAIT = 0
REPLACE_PTHREAD_COND_WAIT = 0
REPLACE_PTHREAD_CREATE = 0
REPLACE_PTHREAD_DETACH = 0
REPLACE_PTHREAD_EQUAL = 0
REPLACE_PTHREAD_EXIT = 0
REPLACE_PTHREAD_GETSPECIFIC = 0
REPLACE_PTHREAD_JOIN = 0
REPLACE_PTHREAD_KEY_CREATE = 0
REPLACE_PTHREAD_KEY_DELETE = 0
REPLACE_PTHREAD_MUTEXATTR_DESTROY = 0
REPLACE_PTHREAD_MUTEXATTR_GETROBUST = 0
REPLACE_PTHREAD_MUTEXATTR_GETTYPE = 0
REPLACE_PTHREAD_MUTEXATTR_INIT = 0
REPLACE_PTHREAD_MUTEXATTR_SETROBUST = 0
REPLACE_PTHREAD_MUTEXATTR_SETTYPE = 0
REPLACE_PTHREAD_MUTEX_DESTROY = 0
REPLACE_PTHREAD_MUTEX_INIT = 0
REPLACE_PTHREAD_MUTEX_LOCK = 0
REPLACE_PTHREAD_MUTEX_TIMEDLOCK = 0
REPLACE_PTHREAD_MUTEX_TRYLOCK = 0
REPLACE_PTHREAD_MUTEX_UNLOCK = 0
REPLACE_PTHREAD_ONCE = 0
REPLACE_PTHREAD_RWLOCKATTR_DESTROY = 0
REPLACE_PTHREAD_RWLOCKATTR_INIT = 0
REPLACE_PTHREAD_RWLOCK_DESTROY = 0
REPLACE_PTHREAD_RWLOCK_INIT = 0
REPLACE_PTHREAD_RWLOCK_RDLOCK = 0
REPLACE_PTHREAD_RWLOCK_TIMEDRDLOCK = 0
REPLACE_PTHREAD_RWLOCK_TIMEDWRLOCK = 0
REPLACE_PTHREAD_RWLOCK_TRYRDLOCK = 0
REPLACE_PTHREAD_RWLOCK_TRYWRLOCK = 0
REPLACE_PTHREAD_RWLOCK_UNLOCK = 0
REPLACE_PTHREAD_RWLOCK_WRLOCK = 0
REPLACE_PTHREAD_SELF = 0
REPLACE_PTHREAD_SETSPECIFIC = 0
REPLACE_PTHREAD_SIGMASK = 0
REPLACE_PTHREAD_SPIN_DESTROY = 0
REPLACE_PTHREAD_SPIN_INIT = 0
REPLACE_PTHREAD_SPIN_LOCK = 0
REPLACE_PTHREAD_SPIN_TRYLOCK = 0
REPLACE_PTHREAD_SPIN_UNLOCK = 0
REPLACE_PTSNAME = 0
REPLACE_PTSNAME_R = 0
REPLACE_PUTENV = 0
REPLACE_PWRITE = 0
REPLACE_QSORT_R = 0
REPLACE_RAISE = 0
REPLACE_RANDOM = 0
REPLACE_RANDOM_R = 0
REPLACE_READ = 0
REPLACE_READLINK = 0
REPLACE_READLINKAT = 0
REPLACE_REALLOC = 0
REPLACE_REALPATH = 0
REPLACE_REMOVE = 0
REPLACE_RENAME = 0
REPLACE_RENAMEAT = 0
REPLACE_RMDIR = 0
REPLACE_SCHED_YIELD = 0
REPLACE_SELECT = 0
REPLACE_SETENV = 0
REPLACE_SETLOCALE = 0
REPLACE_SETSTATE = 0
REPLACE_SLEEP = 0
REPLACE_SNPRINTF = 0
REPLACE_SPRINTF = 0
REPLACE_STAT = 0
REPLACE_STDIO_READ_FUNCS = 0
REPLACE_STDIO_WRITE_FUNCS = 0
REPLACE_STPNCPY = 0
REPLACE_STRCASESTR = 0
REPLACE_STRCHRNUL = 0
REPLACE_STRDUP = 0
REPLACE_STRERROR = 1
REPLACE_STRERRORNAME_NP = 0
REPLACE_STRERROR_R = 1
REPLACE_STRFTIME = GNULIB_PORTCHECK
REPLACE_STRNCAT = 0
REPLACE_STRNDUP = 0
REPLACE_STRNLEN = 0
REPLACE_STRSIGNAL = 0
REPLACE_STRSTR = 0
REPLACE_STRTOD = 0
REPLACE_STRTOIMAX = 0
REPLACE_STRTOK_R = 0
REPLACE_STRTOLD = 0
REPLACE_STRTOUMAX = 0
REPLACE_STRUCT_LCONV = 0
REPLACE_STRUCT_TIMEVAL = 0
REPLACE_SYMLINK = 0
REPLACE_SYMLINKAT = 0
REPLACE_TIMEGM = GNULIB_PORTCHECK
REPLACE_TMPFILE = 0
REPLACE_TOWLOWER = 0
REPLACE_TRUNCATE = 0
REPLACE_TTYNAME_R = 0
REPLACE_TZSET = GNULIB_PORTCHECK
REPLACE_UNLINK = 0
REPLACE_UNLINKAT = 0
REPLACE_UNSETENV = 0
REPLACE_USLEEP = 0
REPLACE_UTIMENSAT = 0
REPLACE_VASPRINTF = 0
REPLACE_VDPRINTF = 0
REPLACE_VFPRINTF = 0
REPLACE_VPRINTF = 0
REPLACE_VSNPRINTF = 0
REPLACE_VSPRINTF = 0
REPLACE_WCRTOMB = 0
REPLACE_WCSFTIME = 0
REPLACE_WCSNRTOMBS = 0
REPLACE_WCSRTOMBS = 0
REPLACE_WCSTOK = 0
REPLACE_WCSWIDTH = 0
REPLACE_WCTOB = 0
REPLACE_WCTOMB = 0
REPLACE_WCWIDTH = 0
REPLACE_WRITE = 0
SED = sed
SET_MAKE = 
SHELL = /bin/bash
SIG_ATOMIC_T_SUFFIX = 
SIZE_T_SUFFIX = 
STDALIGN_H = 
STDARG_H = 
STDBOOL_H = 
STDDEF_H = 
STDINT_H = 
STRIP = aarch64-agl-linux-strip
SYS_IOCTL_H_HAVE_WINSOCK2_H = 0
SYS_IOCTL_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS = 0
SYS_TIME_H_DEFINES_STRUCT_TIMESPEC = 0
TIME_H_DEFINES_STRUCT_TIMESPEC = 1
UINT32_MAX_LT_UINTMAX_MAX = 1
UINT64_MAX_EQ_ULONG_MAX = 1
UNDEFINE_STRTOK_R = 0
UNISTD_H_DEFINES_STRUCT_TIMESPEC = 0
UNISTD_H_HAVE_SYS_RANDOM_H = 1
UNISTD_H_HAVE_WINSOCK2_H = 0
UNISTD_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS = 0
USE_NLS = yes
UUID_LIBS = -luuid
VERSION = 3.4
WARN_CFLAGS = 
WCHAR_T_SUFFIX = 
WINDOWS_64_BIT_OFF_T = 0
WINDOWS_64_BIT_ST_SIZE = 0
WINDOWS_STAT_INODES = 0
WINDOWS_STAT_TIMESPEC = 0
WINT_T_SUFFIX = 
XGETTEXT = recipe-sysroot-native/usr/bin/xgettext
XGETTEXT_015 = recipe-sysroot-native/usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS =  --flag=error:3:c-format --flag=error_at_line:5:c-format
YIELD_LIB = 
abs_aux_dir = parted-3.4/build-aux
abs_builddir = build/tests
abs_srcdir = .
abs_top_builddir = /usr/lib/parted/ptest
abs_top_srcdir = /usr/lib/parted/ptest
ac_ct_AR = 
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = /usr/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
gl_LIBOBJS =  fcntl.o getopt.o getopt1.o mbrtowc.o regex.o strerror.o
gl_LTLIBOBJS =  fcntl.lo getopt.lo getopt1.lo mbrtowc.lo regex.lo strerror.lo
gltests_LIBOBJS =  ioctl.o nanosleep.o perror.o strerror_r.o
gltests_LTLIBOBJS =  ioctl.lo nanosleep.lo perror.lo strerror_r.lo
gltests_WITNESS = IN_PARTED_GNULIB_TESTS
host = aarch64-agl-linux-gnu
host_alias = aarch64-agl-linux
host_cpu = aarch64
host_os = linux-gnu
host_vendor = agl
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} parted-3.4/build-aux/install-sh
libdir = /usr/lib
libexecdir = /usr/libexec
lispdir = ${datarootdir}/emacs/site-lisp
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = /usr/sbin
sharedstatedir = /com
srcdir = .
sysconfdir = /etc
target_alias = aarch64-agl-linux
top_build_prefix = ../
top_builddir = ..
top_srcdir = ../../parted-3.4
XFAIL_TESTS = \
  t3200-type-change.sh

TEST_EXTENSIONS = .sh
SH_LOG_COMPILER = $(SHELL)
TESTS = \
  help-version.sh \
  t0000-basic.sh \
  t0001-tiny.sh \
  t0010-script-no-ctrl-chars.sh \
  t0100-print.sh \
  t0101-print-empty.sh \
  t0200-gpt.sh \
  t0201-gpt.sh \
  t0202-gpt-pmbr.sh \
  t0203-gpt-tiny-device-abort.sh \
  t0203-gpt-shortened-device-primary-valid.sh \
  t0203-gpt-create-on-min-sized-device.sh \
  t0205-gpt-list-clobbers-pmbr.sh \
  t0206-gpt-print-with-corrupt-primary-clobbers-pmbr.sh \
  t0207-IEC-binary-notation.sh \
  t0208-mkpart-end-in-IEC.sh \
  t0209-gpt-pmbr_boot.sh \
  t0210-gpt-resized-partition-entry-array.sh \
  t0211-gpt-rewrite-header.sh \
  t0212-gpt-many-partitions.sh \
  t0213-mkpart-start-negative.sh \
  t0220-gpt-msftres.sh \
  t0250-gpt.sh \
  t0251-gpt-unicode.sh \
  t0280-gpt-corrupt.sh \
  t0281-gpt-grow.sh \
  t0282-gpt-move-backup.sh \
  t0283-overlap-partitions.sh \
  t0300-dos-on-gpt.sh \
  t0301-overwrite-gpt-pmbr.sh \
  t0350-mac-PT-increases-sector-size.sh \
  t0400-loop-clobber-infloop.sh \
  t0500-dup-clobber.sh \
  t0501-duplicate.sh \
  t1100-busy-label.sh \
  t1101-busy-partition.sh \
  t1102-loop-label.sh \
  t1104-remove-and-add-partition.sh \
  t1700-probe-fs.sh \
  t1701-rescue-fs.sh \
  t2200-dos-label-recog.sh \
  t2201-pc98-label-recog.sh \
  t2300-dos-label-extended-bootcode.sh \
  t2310-dos-extended-2-sector-min-offset.sh \
  t2320-dos-extended-noclobber.sh \
  t2400-dos-hfs-partition-type.sh \
  t2410-dos-udf-partition-type.sh \
  t2500-probe-corrupt-hfs.sh \
  t3000-resize-fs.sh \
  t3200-resize-partition.sh \
  t3200-type-change.sh \
  t3300-palo-prep.sh \
  t3310-flags.sh \
  t3400-whole-disk-FAT-partition.sh \
  t4000-sun-raid-type.sh \
  t4001-sun-vtoc.sh \
  t4100-msdos-partition-limits.sh \
  t4100-dvh-partition-limits.sh \
  t4100-msdos-starting-sector.sh \
  t4200-partprobe.sh \
  t4300-nilfs2-tiny.sh \
  t4301-nilfs2-badsb2.sh \
  t4302-nilfs2-lessbadsb2.sh \
  t5000-tags.sh \
  t6000-dm.sh \
  t6001-psep.sh \
  t6002-dm-busy.sh \
  t6003-dm-hide.sh \
  t6004-dm-many-partitions.sh \
  t6005-dm-uuid.sh \
  t6006-dm-512b-sectors.sh \
  t6100-mdraid-partitions.sh \
  t7000-scripting.sh \
  t8000-loop.sh \
  t8001-loop-blkpg.sh \
  t9010-big-sector.sh \
  t9020-alignment.sh \
  t9021-maxima.sh \
  t9022-one-unit-snap.sh \
  t9023-value-lt-one.sh \
  t9030-align-check.sh \
  t9040-many-partitions.sh \
  t9041-undetected-in-use-16th-partition.sh \
  t9042-dos-partition-limit.sh \
  t9050-partition-table-types.sh

EXTRA_DIST = \
  $(TESTS) t-local.sh t-lvm.sh \
  init.cfg init.sh t-lib-helpers.sh gpt-header-munge \
  gpt-header-move msdos-overlap

fs_resize_LDADD = \
  $(top_builddir)/libparted/fs/libparted-fs-resize.la \
  $(top_builddir)/libparted/libparted.la

LDADD = \
  $(top_builddir)/libparted/libparted.la

AM_CPPFLAGS = \
  -I$(top_srcdir)/lib \
  -I$(top_builddir)/include \
  -I$(top_srcdir)/include

AM_CFLAGS = $(WARN_CFLAGS) $(WERROR_CFLAGS)
parted_dir = $(abs_top_builddir)/parted
pp_dir = $(abs_top_builddir)/partprobe
sep = $(PATH_SEPARATOR)

# Note that the first lines are statements.  They ensure that environment
# variables that can perturb tests are unset or set to expected values.
# The rest are envvar settings that propagate build-related Makefile
# variables to test scripts.
TESTS_ENVIRONMENT = \
  tmp__=$$TMPDIR; test -d "$$tmp__" || tmp__=.;	\
  TMPDIR=$$tmp__; export TMPDIR;		\
  export					\
  abs_top_builddir='$(abs_top_builddir)'	\
  abs_top_srcdir='$(abs_top_srcdir)'		\
  abs_srcdir='$(abs_srcdir)'			\
  built_programs=parted				\
  srcdir='$(srcdir)'				\
  top_srcdir='$(top_srcdir)'			\
  AWK='$(AWK)'					\
  PACKAGE_BUGREPORT='$(PACKAGE_BUGREPORT)'	\
  PACKAGE_VERSION=$(PACKAGE_VERSION)		\
  CONFIG_HEADER='$(abs_top_builddir)/lib/config.h' \
  ENABLE_DEVICE_MAPPER=$(ENABLE_DEVICE_MAPPER)	\
  PARTED_TEST_NAME=`basename '$(abs_srcdir)'`,`echo $$tst|sed 's,^\./,,;s,/,-,g'`\
  PATH='$(abs_top_builddir)/parted$(PATH_SEPARATOR)'"$$PATH" \
  VERSION=$(VERSION)				\
  ; 9>&2

VERBOSE = yes
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .log .o .obj .sh .sh$(EXEEXT) .trs
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
Makefile:
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

dup-clobber$(EXEEXT): $(dup_clobber_OBJECTS) $(dup_clobber_DEPENDENCIES) $(EXTRA_dup_clobber_DEPENDENCIES) 
	@rm -f dup-clobber$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(dup_clobber_OBJECTS) $(dup_clobber_LDADD) $(LIBS)

duplicate$(EXEEXT): $(duplicate_OBJECTS) $(duplicate_DEPENDENCIES) $(EXTRA_duplicate_DEPENDENCIES) 
	@rm -f duplicate$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(duplicate_OBJECTS) $(duplicate_LDADD) $(LIBS)

fs-resize$(EXEEXT): $(fs_resize_OBJECTS) $(fs_resize_DEPENDENCIES) $(EXTRA_fs_resize_DEPENDENCIES) 
	@rm -f fs-resize$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fs_resize_OBJECTS) $(fs_resize_LDADD) $(LIBS)

print-align$(EXEEXT): $(print_align_OBJECTS) $(print_align_DEPENDENCIES) $(EXTRA_print_align_DEPENDENCIES) 
	@rm -f print-align$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(print_align_OBJECTS) $(print_align_LDADD) $(LIBS)

print-flags$(EXEEXT): $(print_flags_OBJECTS) $(print_flags_DEPENDENCIES) $(EXTRA_print_flags_DEPENDENCIES) 
	@rm -f print-flags$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(print_flags_OBJECTS) $(print_flags_LDADD) $(LIBS)

print-max$(EXEEXT): $(print_max_OBJECTS) $(print_max_DEPENDENCIES) $(EXTRA_print_max_DEPENDENCIES) 
	@rm -f print-max$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(print_max_OBJECTS) $(print_max_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

#include ./$(DEPDIR)/dup-clobber.Po # am--include-marker
#include ./$(DEPDIR)/duplicate.Po # am--include-marker
#include ./$(DEPDIR)/fs-resize.Po # am--include-marker
#include ./$(DEPDIR)/print-align.Po # am--include-marker
#include ./$(DEPDIR)/print-flags.Po # am--include-marker
#include ./$(DEPDIR)/print-max.Po # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
#	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(COMPILE) -c -o $@ $<

.c.obj:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
#	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
#	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
	rm -f $< $@
	$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
	@:

$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__set_TESTS_bases); \
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
	redo_bases=`for i in $$bases; do \
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
	            done`; \
	if test -n "$$redo_bases"; then \
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
	  if $(am__make_dryrun); then :; else \
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
	  fi; \
	fi; \
	if test -n "$$am__remaking_logs"; then \
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
	       "recursion detected" >&2; \
	elif test -n "$$redo_logs"; then \
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
	fi; \
	if $(am__make_dryrun); then :; else \
	  st=0;  \
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
	  for i in $$redo_bases; do \
	    test -f $$i.trs && test -r $$i.trs \
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
	    test -f $$i.log && test -r $$i.log \
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
	  done; \
	  test $$st -eq 0 || exit 1; \
	fi
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
	ws='[ 	]'; \
	results=`for b in $$bases; do echo $$b.trs; done`; \
	test -n "$$results" || results=/dev/null; \
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
	  success=true; \
	else \
	  success=false; \
	fi; \
	br='==================='; br=$$br$$br$$br$$br; \
	result_count () \
	{ \
	    if test x"$$1" = x"--maybe-color"; then \
	      maybe_colorize=yes; \
	    elif test x"$$1" = x"--no-color"; then \
	      maybe_colorize=no; \
	    else \
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
	    fi; \
	    shift; \
	    desc=$$1 count=$$2; \
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
	      color_start=$$3 color_end=$$std; \
	    else \
	      color_start= color_end=; \
	    fi; \
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
	}; \
	create_testsuite_report () \
	{ \
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
	}; \
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  create_testsuite_report --no-color;				\
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for b in $$bases; do echo $$b; done				\
	    | $(am__create_global_log);					\
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if $$success; then						\
	  col="$$grn";							\
	 else								\
	  col="$$red";							\
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
	fi;								\
	echo "$${col}$$br$${std}"; 					\
	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
	echo "$${col}$$br$${std}"; 					\
	create_testsuite_report --maybe-color;				\
	echo "$$col$$br$$std";						\
	if $$success; then :; else					\
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
	  fi;								\
	  echo "$$col$$br$$std";					\
	fi;								\
	$$success || exit 1

check-TESTS: $(check_PROGRAMS)
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
	exit $$?;
recheck: all $(check_PROGRAMS)
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	bases=`for i in $$bases; do echo $$i; done \
	         | $(am__list_recheck_tests)` || exit 1; \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
	        am__force_recheck=am--force-recheck \
	        TEST_LOGS="$$log_list"; \
	exit $$?
.sh.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
#.sh$(EXEEXT).log:
#	@p='$<'; \
#	$(am__set_b); \
#	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
#	--log-file $$b.log --trs-file $$b.trs \
#	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
#	"$$tst" $(AM_TESTS_FD_REDIRECT)
distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
		-rm -f ./$(DEPDIR)/dup-clobber.Po
	-rm -f ./$(DEPDIR)/duplicate.Po
	-rm -f ./$(DEPDIR)/fs-resize.Po
	-rm -f ./$(DEPDIR)/print-align.Po
	-rm -f ./$(DEPDIR)/print-flags.Po
	-rm -f ./$(DEPDIR)/print-max.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
		-rm -f ./$(DEPDIR)/dup-clobber.Po
	-rm -f ./$(DEPDIR)/duplicate.Po
	-rm -f ./$(DEPDIR)/fs-resize.Po
	-rm -f ./$(DEPDIR)/print-align.Po
	-rm -f ./$(DEPDIR)/print-flags.Po
	-rm -f ./$(DEPDIR)/print-max.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles buildtest-TESTS check \
	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
	clean-libtool cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am recheck runtest-TESTS tags tags-am \
	uninstall uninstall-am

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
